//+------------------------------------------------------------------+
//|                                              Bosun_Kines_MTF.mq4 |
//|                         Written by IgorAD,igorad2003@yahoo.co.uk |   
//|                            Modified by Kris, kris.pivo@gmail.com |                                      
//+------------------------------------------------------------------+
#property indicator_chart_window
#property indicator_buffers   4
#property indicator_color1    C'200,200,200' // Pivot
#property indicator_color2    C'150,150,150' // Pivot Range
#property indicator_color3    C'000,200,000' // Resistance
#property indicator_color4    C'200,000,000' // Support
#property indicator_color5    C'200,000,000' // Mid-Resistance
#property indicator_color6    C'000,200,000' // Mid-Support

extern int     CountPeriods   = 10;
extern string  Time_Period    = "MN";  //H1, H4, D1, W1, MN
extern bool    Plot_R3_S3     = true;
extern bool    Plot_R6_S6     = true;

   datetime time1;
   datetime time2;
   double open,close,high,low;
   double PP,R1,R2,R3,R4,R5,R6,S1,S2,S3,S4,S5,S6;
   double pstyle, rstyle, mstyle;
   int shift, num, period;
     
   void ObjDel()
   {
      for (;num<=CountPeriods;num++)
      {
      ObjectDelete("R6["+num+"]");
      ObjectDelete("R5["+num+"]");
      ObjectDelete("R4["+num+"]");
      ObjectDelete("R3["+num+"]");
      ObjectDelete("R2["+num+"]");      
      ObjectDelete("R1["+num+"]");
      ObjectDelete("PP["+num+"]");
      ObjectDelete("S1["+num+"]");
      ObjectDelete("S2["+num+"]");
      ObjectDelete("S3["+num+"]");
      ObjectDelete("S4["+num+"]");
      ObjectDelete("S5["+num+"]");
      ObjectDelete("S6["+num+"]");
      }
   }
   void PlotLine(string name,double value,double line_color,double style)
   {
   ObjectCreate(name,OBJ_TREND,0,time1,value,time2,value);
   ObjectSet(name, OBJPROP_WIDTH, 1);
   ObjectSet(name, OBJPROP_STYLE, style);
   ObjectSet(name, OBJPROP_RAY, false);
   ObjectSet(name, OBJPROP_BACK, true);
   ObjectSet(name, OBJPROP_COLOR, line_color);
    }        
int init()
  {
   if (Time_Period=="H1" || Time_Period=="60") period=PERIOD_H1; 
   else
   if (Time_Period=="H4" || Time_Period=="240") period=PERIOD_H4; 
   else
   if (Time_Period=="D1" || Time_Period=="1440") period=PERIOD_D1;
   else
   if (Time_Period=="W1" || Time_Period=="10080") period=PERIOD_W1; 
   else
   if (Time_Period=="MN" || Time_Period=="43200") period=PERIOD_MN1;
   else
   {
   Comment("Wrong TimePeriod. Must be H1, H4, D1, W1 or MN"); 
   return(0);
   }
  return(0);
  }
   
int deinit()
  {
   ObjDel();
   Comment("");
   return(0);
  }

int start()
  {
  int i;
     
  ObjDel();
  num=0;
  
  for (shift=CountPeriods-1;shift>=0;shift--)
  {
  time1=iTime(NULL,period,shift);
             
  high  = iHigh(NULL,period,shift+1);
  low   = iLow(NULL,period,shift+1);
  open  = iOpen(NULL,period,shift+1);
  close = iClose(NULL,period,shift+1);
  
  R6 = close * 1.5000;
  R5 = close * 1.2500;
  R4 = close * 1.1250;
  R3 = close * 1.0625;
  R2 = close * 1.0312;
  R1 = close * 1.0156;
  PP = close;
  S1 = close * 0.9844;
  S2 = close * 0.9688;
  S3 = close * 0.9375;
  S4 = close * 0.8750;
  S5 = close * 0.7500;
  S6 = close * 0.5000;
         
  time2=time1+period*60;
         
  pstyle=0;
  rstyle=2;
  mstyle=1;
  num=shift;
       
  PlotLine("PP["+num+"]",PP,indicator_color1,pstyle);
  
  if(Plot_R3_S3)
  {
   PlotLine("R1["+num+"]",R1,indicator_color3,pstyle);
   PlotLine("R2["+num+"]",R2,indicator_color3,pstyle);
   PlotLine("R3["+num+"]",R3,indicator_color3,pstyle);
   PlotLine("S1["+num+"]",S1,indicator_color4,pstyle);
   PlotLine("S2["+num+"]",S2,indicator_color4,pstyle);
   PlotLine("S3["+num+"]",S3,indicator_color4,pstyle);
  }
  if(Plot_R6_S6)
  {
   PlotLine("R4["+num+"]",R4,indicator_color6,pstyle);
   PlotLine("R5["+num+"]",R5,indicator_color6,pstyle);
   PlotLine("R6["+num+"]",R6,indicator_color6,mstyle);
   PlotLine("S4["+num+"]",S4,indicator_color5,pstyle);
   PlotLine("S5["+num+"]",S5,indicator_color5,pstyle);
   PlotLine("S6["+num+"]",S6,indicator_color5,mstyle);
  }  
  }
   return(0);
  }
//+-----------------------------------------------------------------------------+
//|                                   THE END                                   |
//+-----------------------------------------------------------------------------+

